## krecipes 2.0~alpha6

=== doc-translations/CMakeLists.txt ===
add_subdirectory( et_krecipes/krecipes )
add_subdirectory( pt_krecipes/krecipes )
add_subdirectory( pt_BR_krecipes/krecipes )
add_subdirectory( sv_krecipes/krecipes )
add_subdirectory( uk_krecipes/krecipes )
