=== debian/changelog ===
krecipes (2.0~alpha6-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Fix FTBFS with gcc 4.5, thanks to Pino Toscano for fixing this
    upstream (Closes: #565020)
  * Removed unneccesary build depends libmysqlclient-dev and libpq-dev
  * Added "DEB_KDE_LINK_WITH_AS_NEEDED := yes" to debian/rules

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 25 Jan 2010 16:40:39 +0100

krecipes (2.0~alpha5-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Drop 01_r1041280_fix_khtml_delete_issue.diff, merged upstream
  * Updated debian/copyright

  [ Scott Kitterman ]
  * Change doc path in krecipes-doc.install to work in both Debian and Ubuntu

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 10 Jan 2010 09:02:26 +0100

krecipes (2.0~alpha4-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Add 01_r1041280_fix_khtml_delete_issue.diff
  * Release to unstable

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 27 Oct 2009 20:06:05 +0100

krecipes (2.0~alpha3-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Updated debian/copyright

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 09 Oct 2009 20:19:43 +0200

krecipes (2.0~alpha2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Dropped fix_desktop_file.patch, merged upstream.
  * Added -dbg package
  * Minor fixes in debian/copyright: corrected the years for 3 copyright
    holders and added e-mail for Opie Project.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 20 Sep 2009 14:16:15 +0200

krecipes (2.0~alpha1-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release, bump to KDE 4
    - Added build depends: pkg-kde-tools, kdelibs5-dev, libqimageblits-dev,
      libxml2-dev, libxslt1-dev
    - Dropped build depends: autotools-dev, kdelibs4-dev, chrpath
    - Added recommends: libqt4-sql-sqlite, sqlite3
    - Added suggests: libqt4-sql-mysql, libqt4-sql-psql, mysql-client,
      postgresql-client 
    - Dropped suggests: libqt3-mt-mysql | libqt3-mt-psql
  * Added myself as uploader
  * Bump to standards 3.8.3, no changes needed
  * Install KRAZY file by krecipes package
  * Patch to add main category to the desktop file
  * Added sqlite3, mysql-client, postgresql-client as suggests, note that
    krecipes uses these clients to backup databases
  * Fixed typo in sample data (Closes: #538865)
  * Section changed from 'misc' to 'kde'
  * Refreshed man page, created with kdemangen.pl and edited by hand.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 01 Sep 2009 17:18:03 +0200

krecipes (1.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: #531675)
    - Fix crash at startup when using sqlite (Closes: #478030)
    - Added categories to .desktop file (Closes: #473367)
  * Moved the .desktop file to /usr/share/applications in krecipes binary
    package
  * debian/control:
    - Set myself as Uploader (Closes: #513860)
    - Build-Depend on debhelper >=7
    - Standards-Version 3.8.1
    - Added ${misc:Depends} to all binary packages
    - Added Build-Depends on autotools-dev
    - Added chrpath to Build-Depends 
    - Added Homepage to source package
    - Added Vcs-Browser and Vcs-Svn
    - Moved packages from section kde to misc
  * Set compat level to 7
  * Rewrote debian/copyright
  * Added debian/watch
  * Added man page for krecipes
  * Added lintian override for missing menu icon in krecipes, the icon is in
    krecipes-data
  * Added lintian override for missing man page because man page is in
    krecipes-data
  * krecipes' menu entry to Applications/Data Management 
  * Strip rpath from krecipes binary 
  * Added debian/README.source

 -- Matthias Julius <mdeb@julius-net.net>  Sat, 06 Jun 2009 00:18:25 -0400

krecipes (1.0~beta1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455318)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:14:00 +0100

krecipes (1.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Julien Louis <ptitlouis@sysif.net>  Sun,  3 Sep 2006 05:17:28 +0200

krecipes (0.9.1-4) unstable; urgency=low

  * Add menu entry (Closes: #366784).

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 11 May 2006 12:27:38 +0200

krecipes (0.9.1-3) unstable; urgency=low

  * Change krecipes-doc section from kde to doc
    which fix override disparities.
  * Fix typos in descriptions (Closes:  #365731).
  * Bump Standards-Version, no changes needed.

 -- Julien Louis <ptitlouis@sysif.net>  Tue,  2 May 2006 23:36:41 +0200

krecipes (0.9.1-2) unstable; urgency=low

  * Add a note about documentation in debian/copyright
  * set Maintainer to KDE Extra Team
  * Add myself to uploaders

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 13 Apr 2006 19:44:02 +0200

krecipes (0.9.1-1) unstable; urgency=low

  * Initial release (closes: #309280).

 -- Julien Louis <ptitlouis@sysif.net>  Fri, 17 Mar 2006 23:43:12 +0100
