=== debian/control ===
Source: krecipes
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Julius <mdeb@julius-net.net>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
 kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev
Standards-Version: 3.8.3
Homepage: http://krecipes.sourceforge.net/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk

Package: krecipes
Architecture: any
Depends: krecipes-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libqt4-sql-sqlite, sqlite3
Suggests: libqt4-sql-mysql, libqt4-sql-psql, mysql-client, postgresql-client,
 krecipes-doc (= ${source:Version})
Description: recipes manager for KDE
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.

Package: krecipes-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: krecipes (>= ${binary:Version})
Description: recipes manager for KDE - documentation
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg. RecipeML or Meal-Master) or from
 databases.
 .
 This package contains the krecipes documentation.

Package: krecipes-data
Architecture: all
Depends: ${misc:Depends}
Description: recipes manager for KDE - data files
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.
 .
 This package provides architecture independent files for krecipes.

Package: krecipes-dbg
Section: debug
Priority: extra
Architecture: any
Depends: krecipes (= ${binary:Version}), ${misc:Depends}
Description: recipes manager for KDE - debugging symbols
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.
 .
 This package provides debugging symbols for krecipes.
