## krecipes 2.0~beta1

=== debian/changelog ===
krecipes (2.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Bump Standards-Version to 3.9.0, no changes required

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 06 Jul 2010 19:26:25 +0200

krecipes (2.0~alpha6-2) unstable; urgency=low

  * Build depend on shared-desktop-ontologies and shared-mime-info
    (Closes: #581319)
  * Bump Standards-Version to 3.8.4, no changes required.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 12 May 2010 15:38:36 +0200
