=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Matthias Julius <mdeb@julius-net.net>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
- kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev
-Standards-Version: 3.8.3
+ kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev,
+ shared-desktop-ontologies, shared-mime-info
+Standards-Version: 3.9.0
 Homepage: http://krecipes.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk
