=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+add_subdirectory( bg )
 add_subdirectory( ca )
 add_subdirectory( ca@valencia )
 add_subdirectory( cs )
@@ -13,10 +14,13 @@
 add_subdirectory( gl )
 add_subdirectory( hi )
 add_subdirectory( hne )
+add_subdirectory( hr )
+add_subdirectory( hu )
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( lt )
+add_subdirectory( mai )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )
