=== debian/changelog ===
krecipes (2.0~beta2-3) unstable; urgency=low

  * Add libqtwebkit-dev to Build-Depends (Closes: #618245)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 22 Mar 2011 17:39:28 +0100

krecipes (2.0~beta2-2) unstable; urgency=low

  * Upload to unstable.
  * Point debian/control Vcs fields to the new Git repository. 

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Feb 2011 23:27:12 +0100

krecipes (2.0~beta2-1) experimental; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1, no changes required

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 Nov 2010 21:05:51 +0100
