=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
  kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev,
- shared-desktop-ontologies, shared-mime-info
-Standards-Version: 3.9.0
+ libqtwebkit-dev, shared-desktop-ontologies, shared-mime-info
+Standards-Version: 3.9.1
 Homepage: http://krecipes.sourceforge.net/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/krecipes.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/krecipes.git
 
 Package: krecipes
 Architecture: any
