=== debian/rules ===
#!/usr/bin/make -f
  
# Add here any variable or target overrides you need

DEB_INSTALL_DOCS_krecipes = KRAZY cmake/COPYING-CMAKE-SCRIPTS
DEB_DH_STRIP_ARGS = --dbg-package=krecipes-dbg

DEB_KDE_LINK_WITH_AS_NEEDED := yes

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

install/krecipes-data::
	install -D -m 644 -g root -o root debian/krecipes.xpm debian/tmp/usr/share/pixmaps/krecipes.xpm

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]
	@@dpatch-get-origtargz ../tarballs
