=== debian/watch ===
version=3

opts="uversionmangle=s/-/~/" \
  http://sf.net/krecipes/krecipes-(.+)\.tar\.gz
