## krecipes 2.1.0

=== data/CMakeLists.txt ===
install( FILES  data-en_US.sql abbrev.txt weight.txt samples-en_US.kreml samples-cs_CZ.kreml property-data-en_US.txt ingredient-data-en_US.txt unit-data-en_US.txt prep-data-en_US.txt DESTINATION ${DATA_INSTALL_DIR}/krecipes/data )
