=== layouts/CMakeLists.txt ===
install( FILES  None.klo  	    Default.xsl Default.css Default.png  	    Two_Column.xsl Two_Column.css Two_Column.png  	    Simple_Orange.xsl Simple_Orange.css Simple_Orange.png  	    Simple_Green.xsl Simple_Green.css box_bottom.gif box_top.gif Simple_Green.png  	    Book.xsl Book.css paper.gif Book.png DESTINATION ${DATA_INSTALL_DIR}/krecipes/layouts )
