=== pics/CMakeLists.txt ===
FILE(GLOB pngfiles *.png)
install( FILES ${pngfiles} DESTINATION ${DATA_INSTALL_DIR}/krecipes/pics )
