=== debian/changelog ===
krecipes (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit b4f0a78ad630e397bac9deafb4d91dc9edbe6ecb to set
    the cmake minimum version required and policies, and build properly with
    that; patch
    upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch.
    - avoid adding the 'doc' subdirectory twice; patch cmake-subdirs.diff
  * Remove krecipes-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove obsolete get-orig-source target from rules, uscan is enough.
  * Update watch file to version 4, and remove the sf.net origin.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 15:54:02 +0200

krecipes (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Backport upstream commit f6d4f709ec57835b3fa4a660239a07321c9d02ff to fix
    build with GCC 6; patch upstream_Fix-flags-for-KFontDialog-getFont.patch.
    (Closes: #811853)

 -- Pino Toscano <pino@debian.org>  Sun, 14 Feb 2016 09:17:45 +0100

krecipes (2.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release. (Closes: #776377)
  * Bump the debhelper compatibility to 9:
    - bump the debhelper build dependency to 9
    - bump compat to 9
  * Sort the .install files, and strip the debian/tmp prefix.
  * Migrate to the dh sequencer:
    - use the dh sequencer in rules, using the kde addon, with parallel build,
      and in as-needed mode
    - drop the cdbs build dependency
    - do not run the tests for now, some of them fail
  * Update the Vcs-* headers.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update watch file to look also on download.kde.org.
  * Add the pkg-config build dependency.
  * Remove unused lintian overrides.
  * Migrate copyright to copyright-format v1.0, and update it.
  * Drop menu file and its pixmap, since krecipes already provides a .desktop
    file.
  * Remove unused libsqlite3-dev, libqimageblitz-dev, and
    shared-desktop-ontologies build dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 11:28:38 +0100
