=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Julius <mdeb@julius-net.net>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
- kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev,
- libqtwebkit-dev, shared-desktop-ontologies, shared-mime-info
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools, pkg-config,
+ kdelibs5-dev, libxml2-dev, libxslt1-dev,
+ libqtwebkit-dev, shared-mime-info
+Standards-Version: 3.9.8
 Homepage: http://krecipes.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/krecipes.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/krecipes.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/krecipes.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/krecipes.git
 
 Package: krecipes
 Architecture: any
@@ -50,18 +50,3 @@
  databases.
  .
  This package provides architecture independent files for krecipes.
-
-Package: krecipes-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: krecipes (= ${binary:Version}), ${misc:Depends}
-Description: recipes manager for KDE - debugging symbols
- Krecipes is a KDE application designed to manage recipes. It can help you to
- do your shopping list, search through your recipes to find what you can do
- with available ingredients and a diet helper. It can also import or export
- recipes from files in various format (eg RecipeML or Meal-Master) or from
- databases.
- .
- This package provides debugging symbols for krecipes.
-
