=== debian/rules ===
#!/usr/bin/make -f
  
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbgsym-migration='krecipes-dbg (<< 2.1.0-3~)'

override_dh_auto_test:
