=== debian/watch ===
version=4

http://download.kde.org/stable/krecipes/([\d.]+)/src/krecipes-([\d.]+)\.tar\.xz
